Continue to Site

Eng-Tips is the largest engineering community on the Internet

Intelligent Work Forums for Engineering Professionals

  • Congratulations MintJulep on being selected by the Eng-Tips community for having the most helpful posts in the forums last week. Way to Go!

Rename parts

Status
Not open for further replies.

Mikedk64

Mechanical
Jan 15, 2015
18
Hi.

Is there a easy way to rename parts in a assembly.
I have to rename all my parts in my assembly?
 
Replies continue below

Recommended for you

I just perform a "Save As" on every part. It's my method of part numbering and I use the file name itself in the BOM. Keeps the docs in lock step with the model.

Dave
Automotive Tooling / Aircraft Tooling / Ground Support Structures

NX9, Win 7 Pro SP1
 
Look up Cloning both in this forum and in the NX help doc
When you rename, is the new name totally unique to the "old" name?
 
Yeah, cloning is good for dealing with an assembly level re-name of all parts.
Ex: a Job# prefix (or suffix) to your all existing part numbers.

Not sure but I think the "re-name" option may be limited to being used on one part at a time.

Dave
Automotive Tooling / Aircraft Tooling / Ground Support Structures

NX9, Win 7 Pro SP1
 
I use a script to rename a part:

Code:
Option Strict Off

Imports NXOpen
Imports NXOpen.UF
Imports System
Imports System.IO
Imports System.Environment
Imports System.Windows.Forms

Module Renomear

    Dim s As Session = Session.GetSession()
    Dim ufs As UFSession = UFSession.GetUFSession()

    Sub Main()

        Dim theSession As Session = Session.GetSession()
        Dim lw As ListingWindow = s.ListingWindow()
        Dim workPart As Part = s.Parts.Work
        Dim displayPart As Part = s.Parts.Display

        If workPart Is Nothing Then Return

        Dim markId1 As Session.UndoMarkId
        markId1 = theSession.SetUndoMark(Session.MarkVisibility.Visible, "Renomear")

        Dim filename As String = ""
        Dim wpPath As String = workPart.FullPath
        filename = wpPath

        If (select_file(filename) <> DialogResult.OK) Then
            Return
        Else
            Dim partSaveStatus1 As PartSaveStatus
            Try
                partSaveStatus1 = workPart.SaveAs(filename)
            Catch ex As NXException
                lw.WriteLine("SaveAs of part " & filename & _
                    " failed with error code " & ex.ErrorCode & vbCrLf)
                lw.WriteLine(ex.ToString)
            End Try
        End If

    End Sub

    Public Function select_file(ByRef filename) As DialogResult

        Dim sfd As SaveFileDialog = New SaveFileDialog()
        Dim result As DialogResult

        sfd.Title = "Choose new part file name"
        sfd.AddExtension = True
        sfd.DefaultExt = "prt"
        sfd.FileName = filename

        result = sfd.ShowDialog()
        filename = sfd.FileName
        sfd.Dispose()
        Return result

    End Function

    Public Function GetUnloadOption(ByVal dummy As String) As Integer
        GetUnloadOption = NXOpen.Session.LibraryUnloadOption.Immediately
    End Function

End Module


Gelson Z. Nicoletto
Eng. Supervisor
Mould Desing
Brazil
 
Nice.... It works perfectly and a lot less effort. I've got a big job to re-name tomorrow and will put it to good use.

Thanks!

Dave
Automotive Tooling / Aircraft Tooling / Ground Support Structures

NX9, Win 7 Pro SP1
 
I need to learn some journaling. It's obviously a powerful tool and I've got to many tasks that could be executed at a key stroke.

Dave
Automotive Tooling / Aircraft Tooling / Ground Support Structures

NX9, Win 7 Pro SP1
 
Status
Not open for further replies.

Part and Inventory Search

Sponsor